## ros-noetic-wge100-camera 1.8.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(wge100_camera)
set(CMAKE_CXX_STANDARD 17)

find_package(catkin REQUIRED 
   roscpp
   diagnostic_updater 
   driver_base 
   self_test 
   dynamic_reconfigure 
   camera_calibration_parsers 
   timestamp_tools 
   image_transport 
   std_msgs 
   sensor_msgs 
   message_generation
   rostest
)

find_package(Boost REQUIRED COMPONENTS thread)

include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

# generating dynamic configure parameters
# TODO: add dependency to node that actual uses this
generate_dynamic_reconfigure_options(
  cfg/WGE100Camera.cfg 
  cfg/WGE100MultiConfigurator.cfg
)

# service generation
add_service_files(
  DIRECTORY srv
  FILES
  BoardConfig.srv
)

generate_messages(
  DEPENDENCIES
  std_msgs
  sensor_msgs
  driver_base
)

# package definition
catkin_package(
  CATKIN_DEPENDS message_runtime dynamic_reconfigure
)

# wge100lib
add_library(wge100camera
   src/wge100lib/host_netutil.c
   src/wge100lib/list.c 
   src/wge100lib/wge100lib.c
   src/wge100lib/mt9v.cpp)
target_link_libraries(wge100camera ${catkin_LIBRARIES}) # ros/console

# Nodes
add_executable(wge100_camera_node src/nodes/wge100_camera_node.cpp)
target_link_libraries(wge100_camera_node 
   wge100camera 
   ${catkin_LIBRARIES} 
   ${boost_LIBRARIES})
add_dependencies(wge100_camera_node 
   ${catkin_EXPORTED_TARGETS} 
   ${wge100_camera_EXPORTED_TARGETS})

# Utilities
add_executable(access_register src/utilities/access_register.cpp)
target_link_libraries(access_register wge100camera)

add_executable(set_calibration src/utilities/set_calibration.cpp)
target_link_libraries(set_calibration wge100camera)

add_executable(set_name src/utilities/set_name.cpp)
target_link_libraries(set_name wge100camera)

add_executable(reconfigure_cam src/utilities/reconfigure_cam.cpp)
target_link_libraries(reconfigure_cam wge100camera)

add_executable(reset_cam src/utilities/reset_cam.cpp)
target_link_libraries(reset_cam wge100camera)

add_executable(upload_mcs src/utilities/upload_mcs.cpp)
target_link_libraries(upload_mcs wge100camera)

add_executable(discover src/utilities/discover.cpp)
target_link_libraries(discover wge100camera)

add_executable(check_flash src/utilities/check_flash.cpp)
target_link_libraries(check_flash wge100camera)

add_executable(read_all_flash src/utilities/read_all_flash.cpp)
target_link_libraries(read_all_flash wge100camera)

# Tests
add_executable(wge100_sim test/wge100_sim.cc)
target_link_libraries(wge100_sim wge100camera)

add_executable(stress_discover test/cycle_tests/stress_discover.cpp)
target_link_libraries(stress_discover wge100camera)

add_rostest(test/test_with_sim_hztest.xml)
# self_test/run_selftest is deprecated, see: http://wiki.ros.org/self_test
#add_rostest(test/test_with_sim_selftest.xml)

# INSTALL
install(TARGETS 
   wge100_camera_node 
   access_register 
   set_calibration 
   set_name 
   reconfigure_cam
   reset_cam
   upload_mcs
   discover
   check_flash
   read_all_flash
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(PROGRAMS nodes/wge100_multi_configurator
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(TARGETS wge100camera
   RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(FILES wge100_camera_demo.launch
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY firmware_images
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-noetic-wge100-camera (1.8.5-1focal) focal; urgency=high



 -- Austin Hendrix <ahendrix@willowgarage.com>  Tue, 23 Mar 2021 07:00:00 -0000

ros-noetic-wge100-camera (1.8.3-1focal) focal; urgency=high

  * removed deprecated test, updated CMakeLists.txt for new policy
  * updated files for compile on focal/noetic
  * updated changelogs
  * fixed dependency issue with message generation in wge100_camera
  * Contributors: Dave Feil-Seifer, David Feil-Seifer
  * fixed dependency issue with message generation in wge100_camera
  * Contributors: David Feil-Seifer

 -- Austin Hendrix <ahendrix@willowgarage.com>  Sun, 07 Mar 2021 08:00:00 -0000

ros-noetic-wge100-camera (1.8.2-1focal) focal; urgency=high

  * Fix install rule.
  * Contributors: Austin Hendrix

 -- Austin Hendrix <ahendrix@willowgarage.com>  Tue, 16 Jul 2013 07:00:00 -0000

ros-noetic-wge100-camera (1.8.1-1focal) focal; urgency=high

  * Fix dependencies and set myself as maintainer.
  * Contributors: Austin Hendrix

 -- Austin Hendrix <ahendrix@willowgarage.com>  Sun, 14 Jul 2013 07:00:00 -0000

ros-noetic-wge100-camera (1.8.0-1focal) focal; urgency=high

  * Version 1.8.0
  * Finish catkinizing.
  * Switching to catkin: wge100_camera now on catkin, but the CMakeLists is still incomplete. See TODOs.
  * Contributors: Austin Hendrix, Georg Bartels

 -- Austin Hendrix <ahendrix@willowgarage.com>  Fri, 12 Jul 2013 07:00:00 -0000

ros-noetic-wge100-camera (1.7.4-1focal) focal; urgency=high

  * Fixed a linking issue with boost.
    Probably was implicitly provided by dependencies
    before, but since boost::thread is used directly
    by the node, it should be declared in this package.
  * Adding .gitignore files
  * Update for latest dynamic_reconfigure.
  * remove roslib::Header usage, bump to 1.7.2
  * Remove everything but WGE100 from wge100_driver stack.
  * new stack for wge100 driver and firmware
  * Contributors: Austin Hendrix, Brian Gerkey, Jack O'Quin, William Woodall

 -- Austin Hendrix <ahendrix@willowgarage.com>  Fri, 12 Oct 2012 07:00:00 -0000

=== debian/control ===
Source: ros-noetic-wge100-camera
Section: misc
Priority: optional
Maintainer: Austin Hendrix <ahendrix@willowgarage.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-camera-calibration-parsers, ros-noetic-catkin, ros-noetic-diagnostic-updater, ros-noetic-driver-base, ros-noetic-dynamic-reconfigure, ros-noetic-image-transport, ros-noetic-message-generation, ros-noetic-roscpp, ros-noetic-rospy, ros-noetic-rostest, ros-noetic-self-test, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-timestamp-tools
Homepage: http://www.ros.org/wiki/wge100_camera
Standards-Version: 3.9.2

Package: ros-noetic-wge100-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-camera-calibration-parsers, ros-noetic-diagnostic-updater, ros-noetic-driver-base, ros-noetic-dynamic-reconfigure, ros-noetic-image-transport, ros-noetic-message-runtime, ros-noetic-roscpp, ros-noetic-rospy, ros-noetic-self-test, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-timestamp-tools
Description: A ROS node and assorted tools to provide access to the WGE100 camera used in the forearms and the stereo cameras of the PR2 robot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-wge100-camera//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
